<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/BackendPage.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/admin/AdminMembersGrid.inc.php" );

	class AdminMembersPage extends BackendPage {
		protected $oAdminMembersGrid;

		public function __construct( $id = "AdminMembersPage" , $parent = null ) {
			parent::__construct( $id , $parent );
			if (!AdminUserModel::isAdminLoggedIn()) return;
			$this->oAdminMembersGrid = new AdminMembersGrid( "AdminMembersGrid" , $this );
		}
		
		public function modifyGetPost( &$g , &$p ) {
			if (isset( $g["selector"] ) && $g["selector"]) $this->bIsPopup = true;
			if ($this->bIsPopup) $this->oAdminMembersGrid->setSelector( true );
			return parent::modifyGetPost( $g , $p );
		}
	}
?>
